<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_gravity="bottom"
    android:background="@drawable/bg_shape_white_radius_12_top_only"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="48dp"
        android:gravity="center_vertical"
        android:includeFontPadding="false"
        android:text="@string/servers_detail_remind_title"
        android:textColor="@color/text_primary"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

    <ImageView
        android:id="@+id/close"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:padding="16dp"
        android:src="@drawable/dialog_servers_calendear_detail_close"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/server_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:text="@string/servers_detail_server_title"
        android:textSize="12sp"
        android:textColor="@color/text_tertiary"
        app:layout_constraintTop_toBottomOf="@id/title"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/server_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="8dp"
        android:textColor="@color/text_primary"
        android:textSize="14sp"
        app:layout_constraintTop_toBottomOf="@id/server_title"
        app:layout_constraintStart_toStartOf="parent"
        tools:text="官方专服|S128 繁丝绕羽" />

    <TextView
        android:id="@+id/server_time"
        android:layout_width="0dp"
        android:layout_height="44dp"
        android:layout_marginTop="24dp"
        android:layout_marginStart="16dp"
        android:gravity="center_vertical"
        android:paddingStart="12dp"
        android:textSize="14sp"
        android:paddingEnd="12dp"
        app:drawableEndCompat="@drawable/ic_arrow_gray"
        android:textColor="@color/text_tertiary"
        android:background="@drawable/bg_server_detail_remind_time"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintTop_toBottomOf="@id/server_name"
        app:layout_constraintEnd_toStartOf="@id/server_remind_time"
        app:layout_constraintStart_toStartOf="parent"
        tools:text="2023-08-09 05:00" />

    <TextView
        android:id="@+id/server_remind_time"
        android:layout_width="0dp"
        android:layout_height="44dp"
        android:layout_marginTop="24dp"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="16dp"
        android:paddingEnd="13dp"
        android:textSize="14sp"
        android:textColor="@color/text_tertiary"
        android:background="@drawable/bg_server_detail_remind_time"
        android:gravity="center_vertical"
        android:paddingStart="12dp"
        tools:text="准时提醒"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintTop_toBottomOf="@id/server_name"
        app:layout_constraintStart_toEndOf="@id/server_time"
        app:layout_constraintEnd_toEndOf="parent"
        app:drawableEndCompat="@drawable/ic_arrow_gray" />

    <LinearLayout
        android:id="@+id/app_remind"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginStart="16dp"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintEnd_toStartOf="@id/wechat_remind"
        app:layout_constraintTop_toBottomOf="@id/server_remind_time"
        app:layout_constraintStart_toStartOf="parent" >

        <com.lightgame.view.CheckableImageView
            android:id="@+id/app_remind_check_iv"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:padding="4dp" />

        <TextView
            android:id="@+id/app_remind_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/text_secondary"
            android:textSize="12sp"
            android:text="@string/servers_detail_app_remind_title" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/wechat_remind"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:gravity="center"
        android:visibility="invisible"
        android:orientation="horizontal"
        app:layout_constraintTop_toTopOf="@id/app_remind"
        app:layout_constraintStart_toEndOf="@id/app_remind">

        <com.lightgame.view.CheckableImageView
            android:id="@+id/wechat_remind_check_iv"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:padding="4dp" />

        <TextView
            android:id="@+id/wechat_remind_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/text_secondary"
            android:textSize="12sp"
            android:text="@string/servers_detail_wechat_remind_title" />

    </LinearLayout>

    <TextView
        android:id="@+id/add_or_cancel_remind"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginTop="20dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="16dp"
        android:gravity="center"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintTop_toBottomOf="@id/app_remind"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:background="@drawable/download_button_normal_style"
        android:text="@string/servers_detail_add_remind"/>

</androidx.constraintlayout.widget.ConstraintLayout>